Bug 1408835

Summary: atomic requires non-existing package
Product: [Fedora] Fedora Reporter: Lukas Slebodnik <lslebodn>
Component: atomicAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: adimania, amurdaca, dustymabe, dwalsh, lsm5, walters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: atomic-1.14.1-1.fc25 atomic-1.14.1-1.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-12 05:22:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Lukas Slebodnik 2016-12-27 15:15:10 UTC
Description of problem:
The latest version of the atomic package cannot be installed in rawhide
due to dependency on non-existing package

Version-Release number of selected component (if applicable):
atomic-1.14.0-4.dev.git127d5a0.fc26.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. dnf install -y atomic

Actual results:
sh# dnf install atomic
Last metadata expiration check: 1:22:01 ago on Tue Dec 27 14:34:05 2016 CET.
Error: conflicting requests
  - nothing provides python3-ipaddress needed by atomic-1.14.0-4.dev.git127d5a0.fc26.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages)

sh# dnf search python3-ipaddress
Last metadata expiration check: 1:22:15 ago on Tue Dec 27 14:34:05 2016 CET.
Error: No matches found.

Expected results:
Last metadata expiration check: 1:39:17 ago on Tue Dec 27 14:34:05 2016 CET.
Dependencies resolved.
================================================================================
 Package     Arch        Version                             Repository    Size
================================================================================
Installing:
 atomic      x86_64      1.14.0-4.dev.git127d5a0.fc26        rawhide      894 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 894 k
Installed size: 4.0 M
Downloading Packages:
atomic-1.14.0-4.dev.git127d5a0.fc26.x86_64.rpm  541 kB/s | 894 kB     00:01    
--------------------------------------------------------------------------------
Total                                           237 kB/s | 894 kB     00:03     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : atomic-1.14.0-4.dev.git127d5a0.fc26.x86_64                  1/1 
  Verifying   : atomic-1.14.0-4.dev.git127d5a0.fc26.x86_64                  1/1 

Installed:
  atomic.x86_64 1.14.0-4.dev.git127d5a0.fc26                                    

Complete!

Additional info:
Dependency was introcudec in the commit
https://src.fedoraproject.org/cgit/rpms/atomic.git/commit/?id=099aba986bf53edb082871db7c9519f67710b4c5

Comment 1 Fedora Update System 2016-12-27 20:58:39 UTC
atomic-1.14.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5281546d4a

Comment 2 Fedora Update System 2016-12-27 21:11:42 UTC
atomic-1.14.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0388478a34

Comment 3 Fedora Update System 2016-12-28 22:49:41 UTC
atomic-1.14.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5281546d4a

Comment 4 Fedora Update System 2016-12-29 00:49:44 UTC
atomic-1.14.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0388478a34

Comment 5 Fedora Update System 2017-01-12 05:22:47 UTC
atomic-1.14.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-01-12 06:48:45 UTC
atomic-1.14.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.